#include <stdio.h>
#include <stdarg.h>
#include "lib.h"

#if __STDC__
int fprintf(FILE *fp, const char *fmt, ...)
#else
int fprintf(fp, fmt) FILE *fp; const char *fmt;
#endif
{
	int r;
	va_list args;

	va_start(args, fmt);
	r = _doprnt(fp, fmt, args);
	va_end(args);
	return r;
}

int
vfprintf(fp, fmt, args)
	FILE *fp;
	const char *fmt;
	va_list args;
{
	return(_doprnt(fp, fmt, args));
}

#if __STDC__
int printf(const char *fmt, ...)
#else
int printf(fmt) const char *fmt;
#endif
{
	va_list args;
	int r;

	va_start(args, fmt);
	r = _doprnt(stdout, fmt, args);
	va_end(args);
	return r;
}

int
vprintf(fmt, args)
	const char *fmt;
	va_list args;
{
	return(_doprnt(stdout, fmt, args));
}

/* This is used by the `assert' macro.  */
void __eprintf (string, expression, line, filename)
const char *string;
const char *expression;
const long line;
const char *filename;
{
    (void)fprintf(stderr, string, expression, line, filename);
}
